Subject: Re: [PATCH 5/6] t1500: avoid setting environment variables outside of tests

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 May 2016 14:11:02 -0700

SZEDER Gábor <[email-masked]> writes:

> I wonder if is it really necessary to specify the path to the .git
> directory via $GIT_DIR.  Would 'git --git-dir=/over/there' be just as
> good?

Then you are testing two different things that may go through
different codepaths.

Adding yet another test to check "git --git-dir=" in addition is
fine, but that is not a replacement.  We do want to make sure that
"GIT_DIR=there git" form keeps giving us the expected outcome.